form(nz-form, [formGroup]="form", nzLayout="horizontal")
  div(nz-row, [nzGutter]="4")
    div(nz-col, nzSpan="22")
      nz-form-item.mb0
        nz-form-control
          input(nz-input, type="text", id="search", formControlName="term", placeholder="Search for module")
    div(nz-col, nzSpan="2")
      ryax-action-button(icon="filter", tooltipText="Show category filter", (click)="toggleCategoryFilter()")
  nz-form-item.mt1.mb0(*ngIf="visibility")
    nz-form-control
      nz-select(formControlName="category", [nzPlaceHolder]="allCAtegory", [nzAllowClear]="true")
        nz-option(*ngFor="let c of categories", [nzLabel]="c.categoryName", [nzValue]="c.categoryName")
  ng-template(#allCAtegory)
    span Select a module category
